# Archetypes imports
from Products.Archetypes.atapi import *

# Product imports
from Products.MyMessage.config import PROJECTNAME

# Schema definition
schema = BaseSchema.copy() + Schema((
    StringField('Your favourite fibonacci number',
                 required = 1,
                 validators = ('isFib',),
              ),
    ))

class MyMessage(BaseContent):
    """An Archetype for MyMessage application"""

    schema = schema
    _at_rename_after_creation = True    

registerType(MyMessage, PROJECTNAME)

